Loading...
Searching...
No Matches
Dune::LocalIndex Class Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

An index present on the local process. More...

`#include <dune/common/parallel/localindex.hh>`

## Public Member Functions

| LocalIndex ()
| Constructor. known to other processes.
| LocalIndex (std::size_t index)
| Constructor.
const std::size_t & | local () const
| get the local index.
| operator std::size_t () const
| Convert to the local index represented by an int.
LocalIndex & | operator= (std::size_t index)
| Assign a new local index.
LocalIndexState | state () const
| Get the state.
void | setState (LocalIndexState state)
| Set the state.

## Detailed Description

An index present on the local process.

## Constructor & Destructor Documentation

## LocalIndex() [1/2]

Dune::LocalIndex::LocalIndex | ( |  | ) |

inline

Constructor. known to other processes.

## LocalIndex() [2/2]

Dune::LocalIndex::LocalIndex | ( | std::size_t | index | ) |

inline

Constructor.

Parameters

  index | The value of the index.

The documentation for this class was generated from the following file:

- localindex.hh